using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;
using OpenAuth.Repository.Core;
using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    /// <summary>
    /// 系统消息表
    /// </summary>
    [SugarTable("sys_message")]
    public partial class SysMessage 
    {
        [SugarColumn(IsPrimaryKey = true)]
        public long Id { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        [Description("分类名称")]
        public string TypeName { get; set; }
        /// <summary>
        /// 分类ID
        /// </summary>
        [Description("分类ID")]
        public string TypeId { get; set; }
        /// <summary>
        /// 消息源头
        /// </summary>
        [Description("消息源头")]
        public string FromId { get; set; }
        /// <summary>
        /// 到达
        /// </summary>
        [Description("到达")]
        public long ToId { get; set; }
        /// <summary>
        /// 消息源头名称
        /// </summary>
        [Description("消息源头名称")]
        public string FromName { get; set; }
        /// <summary>
        /// 消息到达名称
        /// </summary>
        [Description("消息到达名称")]
        public string ToName { get; set; }
        /// <summary>
        /// -1:已删除；0:默认
        /// </summary>
        [Description("-1:已删除；0:默认")]
        public int FromStatus { get; set; }
        /// <summary>
        /// -1:已删除；0:默认未读；1：已读
        /// </summary>
        [Description("-1:已删除；0:默认未读；1：已读")]
        public int ToStatus { get; set; }
        /// <summary>
        /// 点击消息跳转的页面等
        /// </summary>
        [Description("点击消息跳转的页面等")]
        public string Href { get; set; }
        /// <summary>
        /// 消息标题
        /// </summary>
        [Description("消息标题")]
        public string Title { get; set; }
        /// <summary>
        /// 消息内容
        /// </summary>
        [Description("消息内容")]
        public string Content { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [Description("创建时间")]
        public System.DateTime CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [Description("创建人ID")]
        public string CreateId { get; set; }

    }
}